using Nirvana.Common;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace YBDevice.Entity
{
    /// <summary>
    /// 错误信息描述
    /// </summary>
    public enum ErrorInfoDesc
    {
        /// <summary>
        /// 称重参数错误
        /// </summary>
        [EnumTitle("称重参数错误!")]
        paramerror = 1,
        /// <summary>
        /// 该设备已停止运行,暂不可扫码,请联系客服人员
        /// </summary>
        [EnumTitle("该设备已停止运行,暂不可扫码,请联系客服人员!")]
        deverror = 2,
        /// <summary>
        /// 此二维码已被使用,请重新测量
        /// </summary>
        [EnumTitle("此二维码已被使用,请重新测量!")]
        qrcodeerror = 3,
        /// <summary>
        /// 称重结果数据不合法,请重新测量
        /// </summary>
        [EnumTitle("称重结果数据不合法,请重新测量!")]
        dataerror = 4,
        /// <summary>
        /// 此类型设备暂不支持
        /// </summary>
        [EnumTitle("此类型设备暂不支持!")]
        unsupporterror = 5,
        /// <summary>
        /// 此功能正在开发中
        /// </summary>
        [EnumTitle("此功能正在开发中!")]
        develop = 6,
        /// <summary>
        /// 系统发生错误
        /// </summary>
        [EnumTitle("系统发生错误!")]
        systemerror = 7,
        /// <summary>
        /// 获取微信二维码失败
        /// </summary>
        [EnumTitle("获取微信二维码失败!")]
        ercodeerror = 8,
        /// <summary>
        /// 微信信息获取失败
        /// </summary>
        [EnumTitle("微信信息获取失败!")]
        wxinfoerror = 9,
        /// <summary>
        /// 未找到可用的订单
        /// </summary>
        [EnumTitle("未找到可用的订单")]
        NoOrder=10,
        /// <summary>
        /// 二维码不合法
        /// </summary>
        [EnumTitle("二维码不合法")]
        ercodefail = 11,
        /// <summary>
        /// 设备未找到
        /// </summary>
        [EnumTitle("设备未找到")]
        devnotfound = 12,
        /// <summary>
        /// 设备未激活
        /// </summary>
        [EnumTitle("设备未激活")]
        devnotactive = 13
    }
}
